<< rooteig | FOSSEE_Signal_Processing_Toolbox | roundn >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > rootmusic

# rootmusic

Frequencies and power of sinusoids using the root MUSIC algorithm

### Syntax

    w = rootmusic(x,p)
    [w,pow] = rootmusic(x,p)
    [f,pow] = rootmusc(...,fs)
    [w,pow] = rootmusic(...,'corr')

### Parameters

x :

  int|double - vector|matrix

p :

  int|double - scalar|2 element vector

fs :

  int|double - scalar

'corr' :

  flag

w :

  double - vector

pow :

  double - vector

### Examples

    // 3 complex exponentials:

    n=0:99;
    s=exp(1*%i*%pi/2*n)+2*exp(1*%i*%pi/4*n)+exp(1*%i*%pi/3*n)+rand(1,100,"normal");
    [A,R]=corrmtx(s,12,'mod')
    [W,P] = rootmusic(R,3,'corr')

### Authors

- Ayush

### See also

- | peig | pmusic | rooteig — Generate a data matrix for autocorrelation matrix estimation.

Report an issue
<< rooteig | FOSSEE_Signal_Processing_Toolbox | roundn >>